Module javafx.controls
Package javafx.scene.control

# Class SeparatorMenuItem

java.lang.Object
javafx.scene.control.MenuItem
javafx.scene.control.CustomMenuItem
javafx.scene.control.SeparatorMenuItem

All Implemented Interfaces:
  `Styleable`, `EventTarget`

    public class SeparatorMenuItem
    extends CustomMenuItem

A `MenuItem` that as the name suggests allows for a horizontal Separator to be embedded within it, by assigning a `Separator` to the `content` property of the `CustomMenuItem` This is provided for convenience as groups of `menuitems` can be separated by a separator. Instead of a creating a `CustomMenuItem` for this purpose, the user can use this class as indicated below.

    MenuItem item1 = new MenuItem("Item1");
    MenuItem item2 = new MenuItem("Item2");
    SeparatorMenuItem separator = new SeparatorMenuItem();

    Menu menu = new Menu("Items");
    menu.getItems().addAll(item1, separator, item2);
    MenuBar menuBar = new MenuBar(menu);

Since:
  JavaFX 2.0
See Also:
  `CustomMenuItem`, `MenuItem`, `Menu`

- ## Property Summary

  ### Properties declared in class javafx.scene.control.CustomMenuItem

  `content, hideOnClick`

  ### Properties declared in class javafx.scene.control.MenuItem

  `accelerator, disable, graphic, id, mnemonicParsing, onAction, onMenuValidation, parentMenu, parentPopup, style, text, visible`

- ## Field Summary

  ### Fields declared in class javafx.scene.control.MenuItem

  `MENU_VALIDATION_EVENT`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SeparatorMenuItem()` | Creates a default SeparatorMenuItem instance.

- ## Method Summary

  ### Methods declared in class javafx.scene.control.CustomMenuItem

  `contentProperty, getContent, hideOnClickProperty, isHideOnClick, setContent, setHideOnClick`

  ### Methods declared in class javafx.scene.control.MenuItem

  `acceleratorProperty, addEventHandler, disableProperty, fire, getAccelerator, getGraphic, getOnAction, getOnMenuValidation, getParentMenu, getParentPopup, getProperties, getPseudoClassStates, getStyleableParent, getText, getTypeSelector, getUserData, graphicProperty, idProperty, isDisable, isMnemonicParsing, isVisible, mnemonicParsingProperty, onActionProperty, onMenuValidationProperty, parentMenuProperty, parentPopupProperty, removeEventHandler, setAccelerator, setDisable, setGraphic, setId, setMnemonicParsing, setOnAction, setOnMenuValidation, setParentMenu, setParentPopup, setStyle, setText, setUserData, setVisible, styleProperty, textProperty, visibleProperty`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javafx.event.EventTarget

  `buildEventDispatchChain`

  ### Methods declared in interface javafx.css.Styleable

  `getCssMetaData, getId, getStyle, getStyleableNode, getStyleClass`

- ## Constructor Details

  - ### SeparatorMenuItem

    public SeparatorMenuItem()
    Creates a default SeparatorMenuItem instance.